Debian Bug report logs - #663877
ITP: evemu -- Tools and bindings for kernel input event device emulation, data capture, and replay.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>

Date: Wed, 14 Mar 2012 17:54:05 UTC

Owned by: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>

Severity: wishlist

Fixed in version evemu/1.0.10-1

Done: stephen.webb@bregmasoft.ca (Stephen M. Webb)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#663877; Package wnpp. (Wed, 14 Mar 2012 17:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stephen M. Webb" <stephen.webb@bregmasoft.ca>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 14 Mar 2012 17:54:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: utouch-evemu -- Tools and bindings for kernel input event device emulation, data capture, and replay.
Date: Wed, 14 Mar 2012 13:52:20 -0400
Package: wnpp
Severity: wishlist
Owner: "Stephen M. Webb" <stephen.webb@bregmasoft.ca>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

* Package name    : utouch-evemu
  Version         : 1.0.8
  Upstream Author : Canonical Ltd.
* URL             : https://launchpad.net/utouch-evemu
* License         : GPL-3
  Programming Lang: C, Python
  Description     : Tools and bindings for kernel input event device emulation, data capture, and replay.

  The evemu library and tools are used to describe devices, record data,
  create emulation devices, and replay data from kernel evdev (input event)
  devices.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPYNrUAAoJEAoP+EW32zQnzyQP/ijm/K3MPdDYvoXjPW8golUr
A64RgPTNYYYpWtmKnMNiGseHTSGgiRR/FfLji5EheTTO7JOFQvvtDNgSjFySv9aq
8khBEYe3Y3D9BETUb/4vYTL5DUHiKKbZKo4tBBf6YI+KhFxjXoVnI4h1ZsdcIbca
MsVr6gHQIsAE6pDMO4iZRog9ZUZI24qrINkdBaGCsXYcchmRG+MYOlOslDt0kqZK
X1LtDvFseMhwKy/QiObzd+ICdNIq9etVFubppG0aWWhiHtqLkR1vab51GRdrinXZ
SvjF75doMPZrL7Qwqk9DhWO164zCzN/bfBw4dQbURL8cU8P+uUrud5rK0JaS9ojZ
UxkNTypOjOcREsnSNYubigfdfkmWVD+2BnH/nLFtoqiMLbI/LQVsmVi/AIrSz61e
cU96JY+/BDc3aQfmE2azxBouB3izCs9RgpglMOWBk2rbXQYZTg+D1+ZmSZmJwNmB
q+onKiSupH0Kpn9PMfb4oUVF/O/QT8C533xVi9PyPSK/gT7Stu+yuX2ULbL6RRO4
vo5wHV9weU0KkxggUKBnzNHfozn+NMOsHoZLHc5N1PPBddu36MmBNr/aBSLJUTR1
C7Mflp3wFA4hCzqs7H3NysDuEM3YroqPQLf/lOpF3CWpdvSx0wLGCJCuwB6NtfFm
Gcgt3Cx7rsJd+kUZOMu+
=2cb6
-----END PGP SIGNATURE-----




Added blocking bug(s) of 663877: 664584 Request was from Stephen M. Webb <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Mon, 19 Mar 2012 23:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Stephen M. Webb" <stephen.webb@bregmasoft.ca>:
Bug#663877; Package wnpp. (Tue, 16 Oct 2012 23:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Stephen M. Webb" <stephen.webb@bregmasoft.ca>. (Tue, 16 Oct 2012 23:42:05 GMT) Full text and rfc822 format available.

Message #12 received at 663877@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 663877@bugs.debian.org
Subject: Re: ITP: utouch-evemu -- Tools and bindings for kernel input event device emulation, data capture, and replay.
Date: Wed, 17 Oct 2012 08:39:19 +0900
Hi,

> * Package name    : utouch-evemu
>   Version         : 1.0.8
>   Upstream Author : Canonical Ltd.
> * URL             : https://launchpad.net/utouch-evemu
> * License         : GPL-3
>   Programming Lang: C, Python
>   Description     : Tools and bindings for kernel input event device emulation, data capture, and replay.
>
>   The evemu library and tools are used to describe devices, record data,
>   create emulation devices, and replay data from kernel evdev (input event)
>   devices.

any news?
I want to use utouch framework in Debian.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Changed Bug title to 'ITP: evemu -- Tools and bindings for kernel input event device emulation, data capture, and replay.' from 'ITP: utouch-evemu -- Tools and bindings for kernel input event device emulation, data capture, and replay.' Request was from "Stephen M. Webb" <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Wed, 17 Oct 2012 20:09:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 663877: 700104 Request was from "Stephen M. Webb" <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Fri, 08 Feb 2013 18:54:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 13 Mar 2013 07:09:13 GMT) Full text and rfc822 format available.

Reply sent to stephen.webb@bregmasoft.ca (Stephen M. Webb):
You have taken responsibility. (Sat, 13 Apr 2013 00:03:13 GMT) Full text and rfc822 format available.

Notification sent to "Stephen M. Webb" <stephen.webb@bregmasoft.ca>:
Bug acknowledged by developer. (Sat, 13 Apr 2013 00:03:13 GMT) Full text and rfc822 format available.

Message #23 received at 663877-close@bugs.debian.org (full text, mbox):

From: stephen.webb@bregmasoft.ca (Stephen M. Webb)
To: 663877-close@bugs.debian.org
Subject: Bug#663877: fixed in evemu 1.0.10-1
Date: Sat, 13 Apr 2013 00:00:06 +0000
Source: evemu
Source-Version: 1.0.10-1

We believe that the bug you reported is fixed in the latest version of
evemu, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663877@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen M. Webb <stephen.webb@bregmasoft.ca> (supplier of updated evemu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Feb 2013 14:00:29 -0500
Source: evemu
Binary: libevemu1 python-evemu python3-evemu libevemu-dev evemu-tools
Architecture: source amd64
Version: 1.0.10-1
Distribution: experimental
Urgency: low
Maintainer: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Changed-By: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Description: 
 evemu-tools - Linux Input Event Device Emulation Library - test tools
 libevemu-dev - Linux Input Event Device Emulation Library - development files
 libevemu1  - Linux Input Event Device Emulation Library
 python-evemu - Linux Input Event Device Emulation Library - Python bindings
 python3-evemu - Linux Input Event Device Emulation Library - Python3 bindings
Closes: 663877
Changes: 
 evemu (1.0.10-1) experimental; urgency=low
 .
   * initial Debian package (closes: #663877)
   * changed upstream source location and package name
   * New upstream release.
   * debian/control: updated Standards-Version to 3.9.4 (no changes required)
   * debian/patches/0001-add-evemu-event-manpage.patch: manpage fix from upstream
   * debian/patches/0002-check-test-conditions.patch: disable unrunnable unit
     tests
   * debian/patches/0003-fix-python-startup-crash.patch: fix a crash in python
     bindings due to incorrect search string
   * debian/patches/0004-out-of-source-compile.patch: fix out-of-source builds
Checksums-Sha1: 
 ff01e1867933e8d7e3f76409c0f7d7b18ba86865 2019 evemu_1.0.10-1.dsc
 8cbcacbd170a05ca420c63e503e44a15b9e7802b 409316 evemu_1.0.10.orig.tar.xz
 443dcb18ef390e80c7b8aa480df03d9c96450cd3 5690 evemu_1.0.10-1.debian.tar.gz
 31e1d1b82bd98e4674e3c02b0c9fa8efbd3d4870 14556 libevemu1_1.0.10-1_amd64.deb
 a00feb469723f28311d02679b45bb5af8c8c23a5 12750 python-evemu_1.0.10-1_amd64.deb
 04d668e4b9292dfb8a6e1a3b7b5d479e85a5f8a8 12544 python3-evemu_1.0.10-1_amd64.deb
 775aab3f47838c2945eb197b695f470ea70ce687 15950 libevemu-dev_1.0.10-1_amd64.deb
 22bf7ba6cd3e69000d3f9a28a27c59bc7a836789 18618 evemu-tools_1.0.10-1_amd64.deb
Checksums-Sha256: 
 563175c36ed31c48a5b6ee7360c6b90831572960ffb9ac802b0ba18a4969012d 2019 evemu_1.0.10-1.dsc
 f6474187dd9ef536d72180c516611289354d1a47dc592cd741a5fc2b6ab86c26 409316 evemu_1.0.10.orig.tar.xz
 01f97f518b7ad9764545198f3f388344ad87e5895f2decfb2c463f775b53148e 5690 evemu_1.0.10-1.debian.tar.gz
 4b46859703069b258ea7e71bbd6cc481d122125d36634d95880a0550c69befdf 14556 libevemu1_1.0.10-1_amd64.deb
 6499d4681864d77a1724be0fe62eb791720995665a079b557d4cecccf361e638 12750 python-evemu_1.0.10-1_amd64.deb
 c3c4b7393a575ab379c3fe2430eeafe4bc279cdef91b8b846c41755092f99e1f 12544 python3-evemu_1.0.10-1_amd64.deb
 0201cfb86f1abf2c233b75cc54d702d0ed34b10b4d5dcd9a09302d4ad1ba97ef 15950 libevemu-dev_1.0.10-1_amd64.deb
 0483f93f069030327bb450469dcd5783f9999da19f901752c0740f5143d9d988 18618 evemu-tools_1.0.10-1_amd64.deb
Files: 
 4ec00b9d412aabd508efc442018fd1d7 2019 libs optional evemu_1.0.10-1.dsc
 34595e1f7872b8440945e8c563e06932 409316 libs optional evemu_1.0.10.orig.tar.xz
 223664da0c2271884ce951dd04f970b5 5690 libs optional evemu_1.0.10-1.debian.tar.gz
 aebc083c79fd0072ca8034944f44a780 14556 libs optional libevemu1_1.0.10-1_amd64.deb
 d6ac64563b443b7715c607ea58b06d7d 12750 python optional python-evemu_1.0.10-1_amd64.deb
 583c46e08ef7b8a7b1f299bbbf10f77c 12544 python optional python3-evemu_1.0.10-1_amd64.deb
 d3b27ca8387375313d8a7f305c2afc26 15950 libdevel optional libevemu-dev_1.0.10-1_amd64.deb
 fc48edbf17c9a984b41a7b39969eae7a 18618 libs optional evemu-tools_1.0.10-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRP9ZjAAoJEDIkf7tArR+mnnEP/3bM5ygCrQ3cb9V1dtflO/KL
8UE6jMilin1zMQEMVy4CObzayIWe/fkWRap8ML77x52+vc5ru+16QwLi3G0V/2yT
n11/wnjHSBlGsnNxflEyrpum8RaXqIKpXPNIo/IcxHUeKWT1t6pWeV843eHxC+vT
6d8bYqeIkh7Bz/SlM/ISghal9GjmlA3p0JnP9r5NRGEOhgpYVwA4vAZofuB9ceHO
wVOihAEazo7Wzp1y3P/KfIUfixUfSoLAs4doTf6rZ+36sRlK8ZcxmvNcUQb8xRrt
w4uR9g2qose8FUuET+d4kBovNAVqQtaq7mlz5NTw7bvx5ovC+ex+T1fsBld7YHnQ
YdBcez415WPf/ssgqOvGz3/2mb3WR+tx2zmsUYj/J34mMaSxgRZMUZ4iBkoSa3yD
3gvMkg9zm90u/xfLvpJWJQlQmDYZ7YzTzHfU2UwHPr9JgyXXTgF2loisR6dL/REP
n+YFNRPAypkrZ7Lc3o8JcZptCY8p+iJkinugXk/rZoPZ9lZPukFZH/ffxc3f+1HS
MEPbnN5gnbSiQwCYYsuAJ6a5v5N4/xddE3QsVoZ7+CB6m3m5E/+PcQktTi8Bwv7C
QC+2RZWEzRu3ccWL46uKdxitpW5hlXFMYlT9pf5W5JsBFvJ+ekrh17g0+duMu0I8
P070ojdZYR7wriBsqBnd
=6vkj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:34:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:46:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.